Subject: Re: bug#39340: 26.3; "Noto Emoji" font not displayed

From: [email-masked]
Date: Thu, 30 Jan 2020 14:13:47 +0900

Eli Zaretskii <[email-masked]> writes:

>> From: [email-masked]
>> Date: Wed, 29 Jan 2020 13:12:07 +0900
>> 
>> I installed Noto fonts including "Noto Emoji"(NotoEmoji-Regular.ttf).
>> Almost all glyphs defined in the font are not displayed.
>> 
>> Evaluating the following form, only "©® ⃣〰〽㊗㊙" can be displayed.
>>   (set-fontset-font t '(#x80 . #x1FFFF) "Noto Emoji")
>> 
>> Other characters listed below are displayed with other fonts or boxed
>> hex numbers.
>
> Please tell more details, in particular what do you mean by "can be
> displayed", and also which of the characters you show are displayed
> with other fonts and which with boxes with hex codepoints.

'C-u C-x =' on displayable characters shows a font name in *Help* buffer:
            character: © (displayed as ©) (codepoint 169, #o251, #xa9)
    uniscribe:-outline-Noto Emoji-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1 (#x11)
Starting with 'emacs -Q', the font name is shown as below.
            character: © (displayed as ©) (codepoint 169, #o251, #xa9)
    uniscribe:-outline-Courier New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1 (#x8B)

As for U+20E3( ⃣:COMBINING ENCLOSING KEYCAP), the glyph in "Noto Emoji"
is drawn as a 3D button. I can see visually the glyph difference from
other fonts.

>> non-displayable characters
>
> What does "non-displayable" mean in this context?

I attach an HTML file noto-emoji.html, which contains characters easy to
see the difference, and screen shots of the file.

"Noto Emoji" does not have ASCII alphabets nor glyphs for characters
from U+1F641 to U+1F645.(It has ASCII digits.)

Using "Segoe UI Symbol", the characters can be displayed.

PNG files are screen shots under the following conditions.
chrome.png
    external browser
emacs-default.png
    emacs -Q -f menu-bar-mode -f tool-bar-mode -g 50x11 noto-emoji.html
emacs-noto-emoji.png
    emacs -Q -f menu-bar-mode -f tool-bar-mode -g 50x11 \
        --eval "(set-frame-font \"Noto Emoji\")" noto-emoji.html
emacs-segoe-ui-symbol.png
    emacs -Q -f menu-bar-mode -f tool-bar-mode -g 50x11 \
        --eval "(set-frame-font \"Segoe UI Symbol\")" noto-emoji.html